Get a user's followers, newest first, by username, numeric user ID, or profile URL. Returns the username, display name, user ID, bio, follower and following counts, total likes, video count, verification status, region, join date, and linked Instagram, X/Twitter, and YouTube accounts for each follower, 100 per page.
curl "https://apidirect.io/v1/tiktok/user/followers?username=tiktok&pages=2" -H "X-API-Key: YOUR_API_KEY"
{
"followers": [
{
"username": "sasuke_xp51",
"nickname": "sasuke",
"user_id": "7694873557775795208",
"sec_uid": "MS4wLjABAAAAy5zt1DSVO2SBG4_L3zBwLNblfaiILoOJeio3WU...",
"bio": "",
"verified": false,
"is_private": false,
"followers": 2,
"following": 5,
"likes": 0,
"video_count": 0,
"videos_liked": 191,
"avatar": "https://p19-common-sign.tiktokcdn.com/.../avatar.jpeg",
"region": "TH",
"language": "th",
"date_joined": "2026-10-10 03:19:47",
"date_joined_timestamp": 1791602387,
"instagram_username": "",
"twitter_id": "",
"twitter_username": "",
"youtube_channel_id": "",
"youtube_channel_title": "",
"url": "https://www.tiktok.com/@sasuke_xp51"
}
],
"username": "tiktok",
"user_id": "107955",
"total": 96206555,
"pages": 2,
"count": 200
}